> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate user's phone number validation by country

> Initiate user's phone number validation by country



## OpenAPI

````yaml post /phone
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /phone:
    post:
      tags:
        - KYC
      summary: Initiate user's phone number validation by country
      description: Initiate user's phone number validation by country
      operationId: post-phone
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                country: ''
                mobileNetwork: ''
                phoneNumber: ''
              properties:
                accountName:
                  type: string
                country:
                  enum:
                    - KE
                    - NG
                  type: string
                mobileNetwork:
                  type: string
                phoneNumber:
                  description: phone number
                  type: string
              required:
                - accountName
                - country
                - phoneNumber
                - mobileNetwork
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    maskedPhoneNumber: +25475****600
                    methods:
                      - hint: >-
                          To complete verification, resend received OTP from
                          your submitted phone number
                        method: receiveotp
                      - hint: >-
                          We send OTP to your phone number. Use OTP to complete
                          verification
                        method: sendotp
                    phoneID: 506e46b8e67f4f4bbdda96b3ee3295d1
                  message: successful
                properties:
                  data:
                    properties:
                      maskedPhoneNumber:
                        type: string
                      methods:
                        items:
                          properties:
                            hint:
                              type: string
                            method:
                              type: string
                          type: object
                        type: array
                      phoneID:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: initiate verify post phone ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````